Loading...
Searching...
No Matches
rot_state Struct Reference
Rotator API

Rotator state structure. More...

`#include <rotator.h>`

Collaboration diagram for rot_state:
[legend]

## Data Fields

azimuth_t | min_az
azimuth_t | max_az
elevation_t | min_el
elevation_t | max_el
int | south_zero
azimuth_t | az_offset
elevation_t | el_offset
setting_t | has_get_func
setting_t | has_set_func
setting_t | has_get_level
setting_t | has_set_level
setting_t | has_get_parm
setting_t | has_set_parm
rot_status_t | has_status
gran_t | level_gran [64]
gran_t | parm_gran [64]
hamlib_port_t_deprecated | rotport_deprecated
hamlib_port_t_deprecated | rotport2_deprecated
int | comm_state
rig_ptr_t | priv
rig_ptr_t | obj
int | current_speed
hamlib_port_t | rotport
hamlib_port_t | rotport2
rig_ptr_t * | pstrotator_handler_priv_data
deferred_config_header_t | config_queue

## Detailed Description

Rotator state structure.

This structure contains live data, as well as a copy of capability fields that may be updated, i.e. customized while the ROT handle is instantiated.

It is fine to move fields around, as this kind of structure should not be initialized like rot_caps are.

## Field Documentation

## az_offset

azimuth_t rot_state::az_offset

Offset to be applied to azimuth.

## comm_state

int rot_state::comm_state

Comm port state, i.e. opened or closed.

## current_speed

int rot_state::current_speed

Current speed 1-100, to be used when no change to speed is requested.

## el_offset

elevation_t rot_state::el_offset

Offset to be applied to elevation.

## has_get_func

setting_t rot_state::has_get_func

List of get functions.

## has_get_level

setting_t rot_state::has_get_level

List of get levels.

## has_get_parm

setting_t rot_state::has_get_parm

List of get parameters.

## has_set_func

setting_t rot_state::has_set_func

List of set functions.

## has_set_level

setting_t rot_state::has_set_level

List of set levels.

## has_set_parm

setting_t rot_state::has_set_parm

List of set parameters.

## has_status

rot_status_t rot_state::has_status

Supported status flags.

## level_gran

gran_t rot_state::level_gran[64]

Level granularity.

## max_az

azimuth_t rot_state::max_az

Upper limit for azimuth (overridable).

## max_el

elevation_t rot_state::max_el

Upper limit for elevation (overridable).

## min_az

azimuth_t rot_state::min_az

Lower limit for azimuth (overridable).

## min_el

elevation_t rot_state::min_el

Lower limit for elevation (overridable).

## obj

rig_ptr_t rot_state::obj

Internal use by hamlib++ for event handling.

## parm_gran

gran_t rot_state::parm_gran[64]

Parameter granularity.

## priv

rig_ptr_t rot_state::priv

Pointer to private rotator state data.

## rotport

hamlib_port_t rot_state::rotport

Rotator port (internal use).

## rotport2

hamlib_port_t rot_state::rotport2

2nd Rotator port (internal use).

## rotport2_deprecated

hamlib_port_t_deprecated rot_state::rotport2_deprecated

2nd Rotator port (internal use). Deprecated

## rotport_deprecated

hamlib_port_t_deprecated rot_state::rotport_deprecated

Rotator port (internal use). Deprecated

## south_zero

int rot_state::south_zero

South is zero degrees.

The documentation for this struct was generated from the following file:

- rotator.h